Selectable = {};

function Selectable.prerequisitesPresent(specializations)
    return true;
end;

function Selectable:load()
	self.isSelectable = true
end;

function Selectable:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Selectable:keyEvent(unicode, sym, modifier, isDown)
end;

function Selectable:update()
end;
	
function Selectable:draw()
end;

function Selectable:delete()
end;
